#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_query_netdev_port, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_FUNC(ib_dispatch_port_state_event, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x06830b9a, "");
SYMBOL_CRC(ib_unpack, 0xf96fc9de, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x9a954874, "");
SYMBOL_CRC(__ib_alloc_pd, 0x6ef034c5, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x20ecffc4, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x47b7d494, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xda41d594, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x609e2b7f, "");
SYMBOL_CRC(rdma_create_ah, 0x7fad8de6, "");
SYMBOL_CRC(rdma_create_user_ah, 0x01eef0d0, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0xd5f80f72, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0xc4dba8ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x4fa34ff1, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xdee27058, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xa2d83b7e, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x199e7322, "");
SYMBOL_CRC(rdma_modify_ah, 0x5f0196c2, "");
SYMBOL_CRC(rdma_query_ah, 0x8fabaac5, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x0a57544c, "");
SYMBOL_CRC(ib_create_srq_user, 0x91b3f5a8, "");
SYMBOL_CRC(ib_modify_srq, 0x20a87fd5, "");
SYMBOL_CRC(ib_query_srq, 0xaeacf93a, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xb33f1c30, "");
SYMBOL_CRC(ib_open_qp, 0x5d9cb671, "");
SYMBOL_CRC(ib_create_qp_user, 0xba0ee9c0, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x622fdd6b, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xc22d0cc5, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x146dee87, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x64c863c6, "");
SYMBOL_CRC(ib_get_eth_speed, 0x77bfcc33, "");
SYMBOL_CRC(ib_modify_qp, 0x0474d44b, "");
SYMBOL_CRC(ib_query_qp, 0x7a87ada5, "");
SYMBOL_CRC(ib_close_qp, 0xeba8b106, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x1bae435e, "");
SYMBOL_CRC(__ib_create_cq, 0x8242b638, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x03784027, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xaed57520, "");
SYMBOL_CRC(ib_resize_cq, 0x7b47f73f, "");
SYMBOL_CRC(ib_reg_user_mr, 0x95abb328, "");
SYMBOL_CRC(ib_advise_mr, 0xaa24bc93, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x1665e43f, "");
SYMBOL_CRC(ib_alloc_mr, 0xa96e18b6, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x0a3ea837, "");
SYMBOL_CRC(ib_attach_mcast, 0xd7fe69c1, "");
SYMBOL_CRC(ib_detach_mcast, 0x13b10b83, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x757fdee8, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x9113f421, "");
SYMBOL_CRC(ib_create_wq, 0x40eee641, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x922ff9e2, "");
SYMBOL_CRC(ib_check_mr_status, 0x5a5319ba, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x0500bd1d, "");
SYMBOL_CRC(ib_get_vf_config, 0x6f5ff673, "");
SYMBOL_CRC(ib_get_vf_stats, 0x80ebde96, "");
SYMBOL_CRC(ib_set_vf_guid, 0x2ad892c2, "");
SYMBOL_CRC(ib_get_vf_guid, 0x366f02d2, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x3cfe9181, "");
SYMBOL_CRC(ib_map_mr_sg, 0x6f80e646, "");
SYMBOL_CRC(ib_sg_to_pages, 0x97d11d66, "");
SYMBOL_CRC(ib_drain_sq, 0xc3434964, "");
SYMBOL_CRC(ib_drain_rq, 0x14df78eb, "");
SYMBOL_CRC(ib_drain_qp, 0x26e94dda, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xa928229a, "");
SYMBOL_CRC(rdma_init_netdev, 0x8f2e6bca, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x4e52439b, "");
SYMBOL_CRC(__rdma_block_iter_next, 0xa06a13bd, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x79787750, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xfbc3a9a8, "");
SYMBOL_CRC(ib_process_cq_direct, 0x5a027cd8, "");
SYMBOL_CRC(__ib_alloc_cq, 0xea23a37f, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x9cbc777b, "");
SYMBOL_CRC(ib_free_cq, 0x90a41ec5, "");
SYMBOL_CRC(ib_cq_pool_get, 0x67085938, "");
SYMBOL_CRC(ib_cq_pool_put, 0x525395e2, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xbff239ea, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x7273f775, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x027adfea, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x13d02b42, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xf86d9e07, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xb7e4e6da, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x5d4e425c, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xb4f21fcd, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x347c4562, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xcce14ea9, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xcc2b06d0, "");
SYMBOL_CRC(ibdev_emerg, 0xff9e16fd, "");
SYMBOL_CRC(ibdev_alert, 0xa2cf0d2b, "");
SYMBOL_CRC(ibdev_crit, 0x16eb1a33, "");
SYMBOL_CRC(ibdev_err, 0x5838bfa3, "");
SYMBOL_CRC(ibdev_warn, 0xe33256b5, "");
SYMBOL_CRC(ibdev_notice, 0x3beb8a40, "");
SYMBOL_CRC(ibdev_info, 0x3c4d34f0, "");
SYMBOL_CRC(ib_device_put, 0x26519201, "");
SYMBOL_CRC(ib_device_get_by_name, 0xfccabe32, "");
SYMBOL_CRC(_ib_alloc_device, 0x9e4c79f1, "");
SYMBOL_CRC(ib_dealloc_device, 0xdea9242f, "");
SYMBOL_CRC(ib_port_immutable_read, 0xa562df21, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xc4818a01, "");
SYMBOL_CRC(ib_register_device, 0x8bac4d29, "");
SYMBOL_CRC(ib_unregister_device, 0x77ad2d8e, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xf426c1b9, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x3a00f4fd, "");
SYMBOL_CRC(ib_register_client, 0x624257c5, "");
SYMBOL_CRC(ib_unregister_client, 0xfe38e17e, "");
SYMBOL_CRC(ib_set_client_data, 0xaa93f557, "");
SYMBOL_CRC(ib_register_event_handler, 0x7bc09668, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x24f1ed1c, "");
SYMBOL_CRC(ib_query_port, 0x4a1cac66, "");
SYMBOL_CRC(ib_device_set_netdev, 0x197bced4, "");
SYMBOL_CRC(ib_device_get_netdev, 0x784cf2d0, "");
SYMBOL_CRC(ib_query_netdev_port, 0x0f77ab6e, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x71c84268, "");
SYMBOL_CRC(ib_query_pkey, 0x0abec392, "");
SYMBOL_CRC(ib_modify_device, 0x1c8f14ec, "");
SYMBOL_CRC(ib_modify_port, 0x6dae555e, "");
SYMBOL_CRC(ib_find_gid, 0x85c18662, "");
SYMBOL_CRC(ib_find_pkey, 0x568a8080, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x165a000e, "");
SYMBOL_CRC(ib_set_device_ops, 0xf8644860, "");
SYMBOL_CRC(ib_add_sub_device, 0x3323655b, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0xa47a6941, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x7a61051f, "");
SYMBOL_CRC(ib_dispatch_port_state_event, 0x5657d0d2, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x68caf658, "");
SYMBOL_CRC(rdma_query_gid, 0x8d08401a, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x612727cd, "");
SYMBOL_CRC(rdma_find_gid, 0xed13fb57, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x214a6698, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xac156c4a, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xb5a5f6c3, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x6307b93b, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x69d951d2, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xfb5e1acd, "");
SYMBOL_CRC(rdma_query_gid_table, 0xd62c2756, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xf04d1ba6, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x936f085b, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xc36e5e23, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x94126f92, "");
SYMBOL_CRC(ib_dispatch_event, 0x4003be4b, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x8ed083cb, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xdb12e917, "");
SYMBOL_CRC(ibnl_put_attr, 0x2998aaca, "");
SYMBOL_CRC(rdma_nl_unicast, 0xb76b2ff6, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x0266226c, "");
SYMBOL_CRC(rdma_nl_multicast, 0x6b6d0e24, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xb70e671b, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x827ab80a, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x663dd54c, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x15b37e5d, "");
SYMBOL_CRC(ib_mr_pool_get, 0xe14ce3a6, "");
SYMBOL_CRC(ib_mr_pool_put, 0x924a1f17, "");
SYMBOL_CRC(ib_mr_pool_init, 0x3345293c, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x35ade405, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0xe32413ea, "");
SYMBOL_CRC(rdma_translate_ip, 0x4bc04ba4, "");
SYMBOL_CRC(rdma_resolve_ip, 0x8242b63d, "");
SYMBOL_CRC(rdma_addr_cancel, 0x9e224238, "");
SYMBOL_CRC(ib_sa_register_client, 0x9573ffe4, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x42212bdb, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xff9d46a5, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xdd13cae9, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xcfdf14e5, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x1690acfd, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x9de38c1d, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xe32a7fe9, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xf46824f8, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xf40f3397, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x11e33a20, "");
SYMBOL_CRC(ib_create_send_mad, 0x8c9e3ebc, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x3420672c, "");
SYMBOL_CRC(ib_free_send_mad, 0x070759b4, "");
SYMBOL_CRC(ib_post_send_mad, 0x6312f948, "");
SYMBOL_CRC(ib_free_recv_mad, 0xe8713036, "");
SYMBOL_CRC(ib_modify_mad, 0x71de078d, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xc6dfac14, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x23accd45, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x06196e79, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x4c898eef, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x029e94cb, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x8a684c85, "");
SYMBOL_CRC(rdma_link_register, 0x022de75a, "");
SYMBOL_CRC(rdma_link_unregister, 0x92974654, "");
SYMBOL_CRC(rdma_restrack_count, 0x76353844, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x3362d020, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x40062f12, "");
SYMBOL_CRC(rdma_restrack_new, 0x9d7b82a9, "");
SYMBOL_CRC(rdma_restrack_add, 0x78455098, "");
SYMBOL_CRC(rdma_restrack_get, 0x0eff34f7, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x4e958dbf, "");
SYMBOL_CRC(rdma_restrack_put, 0x660ae042, "");
SYMBOL_CRC(rdma_restrack_del, 0x2ec4f160, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x029d6a9e, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x14759b2c, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xbd53a5b8, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x8123846d, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xe75bb565, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xc1eba055, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xd5527203, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x0bf3157c, "");
SYMBOL_CRC(ib_create_qp_security, 0x60e2905f, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x153d23e2, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x1d5e3273, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1e2dbb7, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1e28c07, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdc1eba59, "rdmacg_try_charge" },
	{ 0xa711881d, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f08de83, "bpf_trace_run4" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xa5d2fecf, "__nlmsg_put" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x2f3af847, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3e02df05, "dev_set_name" },
	{ 0x8b178aaa, "ip6_dst_hoplimit" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x672c230b, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0xac9f61e, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xbdc09be6, "__trace_trigger_soft_disabled" },
	{ 0xd979e589, "__kmalloc_node_noprof" },
	{ 0x5710f54a, "dma_unmap_page_attrs" },
	{ 0x5fb11c21, "trace_event_printf" },
	{ 0xecdba94e, "__ip_dev_find" },
	{ 0x9e407fa2, "sysfs_remove_groups" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xcb4748f2, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x519d9222, "xas_find" },
	{ 0x3027998b, "kobject_init" },
	{ 0x941f551b, "device_initialize" },
	{ 0x5e83e4b7, "__dynamic_ibdev_dbg" },
	{ 0xbc918cd5, "sysfs_create_groups" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x7e87c4d0, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xfaf4f6d0, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x518d66e9, "in6_dev_finish_destroy" },
	{ 0x7894cd7c, "__netlink_kernel_create" },
	{ 0x21defd89, "bpf_trace_run2" },
	{ 0x12278cf4, "ip_route_output_flow" },
	{ 0xfa8bdccd, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc294082e, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x7448823, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa5be5d96, "netlink_broadcast_filtered" },
	{ 0x5162a453, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4cb38ad8, "dev_driver_string" },
	{ 0x3df3d34a, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x8122280b, "dma_map_page_attrs" },
	{ 0x5aa4e72a, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x61aea5e1, "put_device" },
	{ 0x75055836, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x5cb315e0, "__alloc_skb" },
	{ 0x8dfc0955, "netlink_capable" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9e98bb85, "__task_pid_nr_ns" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x48949318, "vlan_dev_real_dev" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x556bba55, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd710cdb9, "_dev_err" },
	{ 0x99ef7d60, "init_net" },
	{ 0xc424c94b, "kobject_add" },
	{ 0xd2510a63, "up_write" },
	{ 0x1bb16d52, "ipv6_stub" },
	{ 0x692217e7, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e279ebd, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2b758d9a, "sk_skb_reason_drop" },
	{ 0xa44fba07, "netlink_unicast" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x6f03726a, "dev_get_by_index" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe5111ddc, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0x7c5c04e3, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x7f373cfd, "netlink_kernel_release" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x61641f95, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x959bd076, "unregister_pernet_device" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8555e38, "__ethtool_get_link_ksettings" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0xcd81b1e5, "bpf_trace_run1" },
	{ 0xefd6c062, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x9dc61f41, "netdev_get_xmit_slave" },
	{ 0xf40b5b32, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0x39a89da2, "__neigh_event_send" },
	{ 0xbb590873, "dev_printk_emit" },
	{ 0xec68a119, "kobject_create_and_add" },
	{ 0x103bafd6, "down_read" },
	{ 0xc8874b23, "skb_trim" },
	{ 0x54202b67, "netdev_has_upper_dev_all_rcu" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x1d496754, "netdev_walk_all_upper_dev_rcu" },
	{ 0xbcb7318, "bpf_trace_run3" },
	{ 0xa859fe2a, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x67dc812c, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe6952e58, "neigh_destroy" },
	{ 0x7511d50f, "kobject_del" },
	{ 0x86d227e5, "trace_event_buffer_reserve" },
	{ 0xbcabfbab, "dma_map_sgtable" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3f91b361, "param_ops_bool" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc4ba0458, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xcab910b1, "dev_get_by_name" },
	{ 0x67ea1572, "netlink_ns_capable" },
	{ 0xb5c5245f, "dst_release" },
	{ 0xb7bfb323, "kobject_uevent" },
	{ 0xddaff227, "rdmacg_uncharge" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xb22a2009, "vlan_dev_vlan_id" },
	{ 0xea6a86da, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x639428c9, "ipv6_chk_addr" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2b40e7b7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x6de3a642, "netlink_has_listeners" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xb8b4c46f, "register_pernet_device" },
	{ 0x866876e8, "get_net_ns_by_fd" },
	{ 0x6ad3902a, "class_register" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9e9bc5a9, "kobject_put" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "376C863269F1A7FF789F251");
MODULE_INFO(rhelversion, "10.1");
