#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x18e253cc, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x78a30f7f, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x70a49bdd, "");
SYMBOL_CRC(rdma_res_to_id, 0x0cb2e1ba, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xbcc7e6a4, "");
SYMBOL_CRC(rdma_create_user_id, 0x42da3edd, "");
SYMBOL_CRC(rdma_create_qp, 0xd1fb0f35, "");
SYMBOL_CRC(rdma_destroy_qp, 0x6a843c79, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x82b1c05c, "");
SYMBOL_CRC(rdma_destroy_id, 0x8b2c086d, "");
SYMBOL_CRC(rdma_get_service_id, 0x4eafa7a7, "");
SYMBOL_CRC(rdma_read_gids, 0x56ee87f9, "");
SYMBOL_CRC(rdma_set_service_type, 0xe59420b1, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x31535b3b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x95fbd43f, "");
SYMBOL_CRC(rdma_set_ib_path, 0x04ccc443, "");
SYMBOL_CRC(rdma_resolve_route, 0x5ffe7774, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xefbdfa28, "");
SYMBOL_CRC(rdma_set_afonly, 0xf8de36f1, "");
SYMBOL_CRC(rdma_listen, 0x665a71a5, "");
SYMBOL_CRC(rdma_resolve_addr, 0xd28a856e, "");
SYMBOL_CRC(rdma_bind_addr, 0x109f50ed, "");
SYMBOL_CRC(rdma_connect_locked, 0x21d5566f, "");
SYMBOL_CRC(rdma_connect, 0x2fa5780b, "");
SYMBOL_CRC(rdma_connect_ece, 0x3d87cd9c, "");
SYMBOL_CRC(rdma_accept, 0x5f49b134, "");
SYMBOL_CRC(rdma_accept_ece, 0xbc39c45e, "");
SYMBOL_CRC(rdma_lock_handler, 0xff7498db, "");
SYMBOL_CRC(rdma_unlock_handler, 0xaf460eb1, "");
SYMBOL_CRC(rdma_notify, 0x2ae21331, "");
SYMBOL_CRC(rdma_reject, 0xa729e341, "");
SYMBOL_CRC(rdma_disconnect, 0x071b7480, "");
SYMBOL_CRC(rdma_join_multicast, 0x8c159798, "");
SYMBOL_CRC(rdma_leave_multicast, 0x2a13b977, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4be31639, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34973536, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfe38e17e, "ib_unregister_client" },
	{ 0xa711881d, "netdev_walk_all_lower_dev_rcu" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe3a1fe39, "ib_send_cm_sidr_rep" },
	{ 0x9f08de83, "bpf_trace_run4" },
	{ 0xc48c5651, "config_group_init" },
	{ 0xff9d46a5, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x68caf658, "rdma_find_gid_by_port" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x672c230b, "trace_raw_output_prep" },
	{ 0x75733580, "ib_cm_insert_listen" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xbdc09be6, "__trace_trigger_soft_disabled" },
	{ 0x5fb11c21, "trace_event_printf" },
	{ 0x9573ffe4, "ib_sa_register_client" },
	{ 0x7e87c4d0, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d08401a, "rdma_query_gid" },
	{ 0xb4ad8240, "rt6_lookup" },
	{ 0x4bc04ba4, "rdma_translate_ip" },
	{ 0x21defd89, "bpf_trace_run2" },
	{ 0xcc2b06d0, "rdma_dev_access_netns" },
	{ 0x6caace29, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xf5e7993, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xf189df80, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc652be77, "register_pernet_subsys" },
	{ 0x3df3d34a, "trace_event_buffer_commit" },
	{ 0xc28e378d, "ip_mc_inc_group" },
	{ 0xc36e5e23, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xb5a5f6c3, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x9109a4a8, "iw_cm_connect" },
	{ 0x78455098, "rdma_restrack_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x9e224238, "rdma_addr_cancel" },
	{ 0x144f9db6, "ib_cm_notify" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9de38c1d, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x624257c5, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xdd13cae9, "ib_sa_path_rec_get" },
	{ 0xf4458e10, "ib_create_cm_id" },
	{ 0xa6f6eaa1, "__ip_mc_dec_group" },
	{ 0x48949318, "vlan_dev_real_dev" },
	{ 0x42212bdb, "ib_sa_unregister_client" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x556bba55, "perf_trace_run_bpf_submit" },
	{ 0xe32a7fe9, "ib_init_ah_from_mcmember" },
	{ 0xa2d83b7e, "rdma_destroy_ah_attr" },
	{ 0xaa93f557, "ib_set_client_data" },
	{ 0x99ef7d60, "init_net" },
	{ 0x214a6698, "ib_get_cached_pkey" },
	{ 0x538709ca, "configfs_register_subsystem" },
	{ 0xf6a7bda3, "configfs_remove_default_groups" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf04d1ba6, "rdma_put_gid_attr" },
	{ 0xbd0f099f, "config_group_init_type_name" },
	{ 0x6f03726a, "dev_get_by_index" },
	{ 0x402fa472, "iw_destroy_cm_id" },
	{ 0xab997a3b, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x20ef27c2, "ib_send_cm_rep" },
	{ 0x7c5c04e3, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd216fb1, "iw_cm_disconnect" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xcd81b1e5, "bpf_trace_run1" },
	{ 0x1bae435e, "ib_destroy_qp_user" },
	{ 0xeb7daa6e, "unregister_pernet_subsys" },
	{ 0xd9ea5c6, "ib_cm_init_qp_attr" },
	{ 0xf40b5b32, "_dev_warn" },
	{ 0xba120716, "ib_send_cm_drep" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x3362d020, "rdma_restrack_set_name" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x165a000e, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x69d951d2, "ib_get_cached_port_state" },
	{ 0x37a11bba, "ib_send_cm_mra" },
	{ 0x2ec4f160, "rdma_restrack_del" },
	{ 0x474d44b, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xbcb7318, "bpf_trace_run3" },
	{ 0xa859fe2a, "__put_net" },
	{ 0x40062f12, "rdma_restrack_parent_name" },
	{ 0xef6dd2d4, "iw_cm_accept" },
	{ 0x86d227e5, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x8d615c0c, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe3666072, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x7f8a21ae, "iw_cm_init_qp_attr" },
	{ 0xb5c5245f, "dst_release" },
	{ 0x4ccf0949, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9c999500, "ib_send_cm_dreq" },
	{ 0xf8e25b55, "ib_send_cm_req" },
	{ 0x146dee87, "ib_create_qp_kernel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x1690acfd, "ib_sa_join_multicast" },
	{ 0xb70e671b, "roce_gid_type_mask_support" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfb5e1acd, "rdma_get_gid_attr" },
	{ 0x9d7b82a9, "rdma_restrack_new" },
	{ 0x7230e03, "__fib_lookup" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xd4f1ab3e, "iw_cm_listen" },
	{ 0xd66aacee, "ib_send_cm_rej" },
	{ 0xe32413ea, "rdma_copy_src_l2_addr" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0x8242b63d, "rdma_resolve_ip" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "457F68338D12B70E04B6B47");
MODULE_INFO(rhelversion, "10.1");
