#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xcea544bc, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xec063aa7, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xb1aa525f, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x4575c161, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xacc8ec0b, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x8b2b5be1, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x0516017c, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x3b3ba1fc, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x0a181175, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b758d9a, "sk_skb_reason_drop" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x62695d40, "cdev_init" },
	{ 0x68414798, "cdev_add" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x60bf12, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2ec04d85, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x36871ada, "_copy_to_iter" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xcfa2e00, "iov_iter_advance" },
	{ 0xfb5a3bd3, "skb_copy_datagram_iter" },
	{ 0x5a61d6d8, "consume_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x1ef430f9, "netdev_err" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe5111ddc, "skb_push" },
	{ 0xa0b0ee19, "skb_checksum_help" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x9eb55735, "__skb_gso_segment" },
	{ 0x1259611a, "kfree_skb_list_reason" },
	{ 0xf9e381b2, "__skb_get_hash_net" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xc65da458, "__skb_flow_dissect" },
	{ 0x716ff508, "skb_partial_csum_set" },
	{ 0xd8d9f757, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xf8fb2c73, "sock_alloc_send_pskb" },
	{ 0x2f3af847, "skb_put" },
	{ 0xc3d861dc, "zerocopy_sg_from_iter" },
	{ 0xf35d2d50, "_copy_from_iter" },
	{ 0x9cd4dc60, "__dev_queue_xmit" },
	{ 0x55210500, "skb_copy_datagram_from_iter" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x1f4775c2, "iov_iter_npages" },
	{ 0xe2ffa283, "iov_iter_revert" },
	{ 0x79cebae1, "skb_copy_bits" },
	{ 0x9a55a6fa, "build_skb" },
	{ 0x3761d215, "idr_find" },
	{ 0x13387523, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xdbaaa52a, "sock_init_data_uid" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x53bb34f1, "dev_set_mac_address_user" },
	{ 0xf7ae3e8e, "dev_get_mac_address" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A54E13939F46F9D81FE5752");
MODULE_INFO(rhelversion, "10.1");
