#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x69d14d46, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x713ed870, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x92ae62f9, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x045274ae, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x0f53fbcb, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0x062aaed1, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x76f501af, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x920e37e6, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0x4472f44e, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x6d5dde69, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x65a9059e, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x25fecfb8, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x93138f41, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x1057d085, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x38bd9455, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x0299d16c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x34664b13, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x3deb2d84, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x66d9e014, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x072b8a6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x556bba55, "perf_trace_run_bpf_submit" },
	{ 0x86d227e5, "trace_event_buffer_reserve" },
	{ 0x3df3d34a, "trace_event_buffer_commit" },
	{ 0xbdc09be6, "__trace_trigger_soft_disabled" },
	{ 0x672c230b, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x5fb11c21, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xcd81b1e5, "bpf_trace_run1" },
	{ 0x21defd89, "bpf_trace_run2" },
	{ 0xc7997183, "sk_error_report" },
	{ 0xbfad40e0, "ip_icmp_error" },
	{ 0x5e1d1795, "ipv6_icmp_error" },
	{ 0xea198066, "sock_create_kern" },
	{ 0x72b9de44, "kernel_bind" },
	{ 0xf9dac67e, "kernel_connect" },
	{ 0xc8a45817, "udp_sock_create6" },
	{ 0x203cb1e2, "kernel_sock_shutdown" },
	{ 0x785fa884, "sock_release" },
	{ 0xf1ce612c, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0xb8b4c46f, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x959bd076, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0x899ec63a, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x2ec04d85, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0x2b758d9a, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd8d9f757, "__pskb_pull_tail" },
	{ 0x27eada83, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7ae9a1fc, "udp_set_csum" },
	{ 0x34b60326, "ip_queue_xmit" },
	{ 0xba655e01, "udp6_set_csum" },
	{ 0xf3dcad7b, "inet6_csk_xmit" },
	{ 0xb5c5245f, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb9f8233c, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0xcfd43c32, "sockfd_lookup" },
	{ 0x5178545e, "lock_sock_nested" },
	{ 0x7ef66000, "release_sock" },
	{ 0x96decf2a, "fput" },
	{ 0xaab95468, "setup_udp_tunnel_sock" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x7c5c04e3, "trace_event_reg" },
	{ 0x7e87c4d0, "trace_event_raw_init" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "10.1");
