#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x3f79d8d2, "");
SYMBOL_CRC(ieee802154_configure_durations, 0xa11aadb8, "");
SYMBOL_CRC(ieee802154_free_hw, 0xea80e251, "");
SYMBOL_CRC(ieee802154_register_hw, 0x094184ad, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x7243949d, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x1c31ada5, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x47f3ee43, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xce79c348, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0x068f3f53, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x162b70cb, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9f08de83, "bpf_trace_run4" },
	{ 0xa2a857a7, "nl802154_beaconing_done" },
	{ 0x2f3af847, "skb_put" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5a61d6d8, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x672c230b, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb9f8233c, "skb_dequeue" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xbdc09be6, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5fb11c21, "trace_event_printf" },
	{ 0x4c61c5b3, "hrtimer_init" },
	{ 0x569ef6cc, "dev_alloc_name" },
	{ 0x7e87c4d0, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cb4cc2, "ieee802154_mac_cmd_push" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe2db0f26, "crypto_alloc_aead" },
	{ 0x21defd89, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x686fdb72, "netdev_warn" },
	{ 0xcd6aa770, "crypto_aead_setauthsize" },
	{ 0x3cc4b80e, "crypto_aead_decrypt" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0xb28e0959, "crypto_skcipher_setkey" },
	{ 0xe9efcba6, "unregister_netdevice_queue" },
	{ 0xc294082e, "__dynamic_dev_dbg" },
	{ 0xbd34e586, "ieee802154_hdr_peek_addrs" },
	{ 0xcd3ad40e, "wpan_phy_unregister" },
	{ 0x3df3d34a, "trace_event_buffer_commit" },
	{ 0xa8acd119, "dev_addr_mod" },
	{ 0xe412b97d, "crypto_destroy_tfm" },
	{ 0x5aa4e72a, "alloc_netdev_mqs" },
	{ 0x1c354855, "nl802154_scan_done" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x898668d5, "nl802154_scan_started" },
	{ 0x50badc2c, "crypto_skcipher_decrypt" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5cb315e0, "__alloc_skb" },
	{ 0x23ae305, "skb_copy_expand" },
	{ 0x899ec63a, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6cd23d54, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x556bba55, "perf_trace_run_bpf_submit" },
	{ 0xddf345b5, "cfg802154_get_free_short_addr" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd710cdb9, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2901ab00, "wpan_phy_register" },
	{ 0x71c1046d, "cfg802154_set_max_associations" },
	{ 0x50c1ce0b, "crypto_aead_encrypt" },
	{ 0x2b758d9a, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe5111ddc, "skb_push" },
	{ 0x3a4e5b50, "ieee802154_hdr_peek" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x68317edd, "wpan_phy_free" },
	{ 0x7b75e9a5, "netif_receive_skb" },
	{ 0x7c5c04e3, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x24dffde1, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcd81b1e5, "bpf_trace_run1" },
	{ 0xf562ca85, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf40b5b32, "_dev_warn" },
	{ 0x58d7c9a2, "hrtimer_start_range_ns" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf73791a2, "ieee802154_hdr_pull" },
	{ 0xb59d0f0f, "nl802154_scan_event" },
	{ 0xed7c62b6, "crypto_alloc_sync_skcipher" },
	{ 0xc8874b23, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1067f78e, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xbcb7318, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x86d227e5, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0x8d3fd5ca, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0x1b268c85, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8982dbf8, "wpan_phy_new" },
	{ 0x69007152, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa7172736, "hrtimer_cancel" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x55a1666a, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfcefb110, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xd491fef6, "cfg802154_device_is_parent" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0xbba62e97, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f60a3e6, "register_netdevice" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "D2F25A1513D634DB5C0398F");
MODULE_INFO(rhelversion, "10.1");
