#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x76f6acdb, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xdbe3fa2c, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x521b8954, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xc05ef944, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x59ac1a3b, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x0786229e, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x3716f4ab, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x325f50be, "");
SYMBOL_CRC(ip_vs_conn_put, 0x38bb42ec, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x1337c987, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xc424e4af, "");
SYMBOL_CRC(register_ip_vs_app, 0xc0c15760, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x65179ac7, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x21771356, "");
SYMBOL_CRC(ip_vs_proto_get, 0x412256af, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xd5e099e9, "");
SYMBOL_CRC(register_ip_vs_pe, 0x4b8774fe, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xc03f0a1d, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xb3777fb7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2213cc64, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x4beea73d, "nf_conntrack_find_get" },
	{ 0x91cd7f85, "try_module_get" },
	{ 0xae41f196, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc1449f68, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x79cebae1, "skb_copy_bits" },
	{ 0x62250b61, "xfrm_lookup" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x39bb6904, "housekeeping_cpumask" },
	{ 0x5a61d6d8, "consume_skb" },
	{ 0x40eff815, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x13beadf9, "nf_register_sockopt" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xba3acca, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x72b9de44, "kernel_bind" },
	{ 0x6102311d, "set_user_nice" },
	{ 0x1b412921, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x7ae9a1fc, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc21dfae3, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd1c76dda, "__module_get" },
	{ 0x12278cf4, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x46916445, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x76723eec, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xea3d1125, "proc_create_net_data" },
	{ 0x27eada83, "pskb_expand_head" },
	{ 0xc652be77, "register_pernet_subsys" },
	{ 0xdd5b6202, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x3e6e0ebe, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x7de1cfae, "nf_unregister_sockopt" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb776b240, "nf_register_net_hooks" },
	{ 0x57501362, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5cb315e0, "__alloc_skb" },
	{ 0x312e5ba4, "ipv6_sock_mc_join" },
	{ 0xe59ea03c, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0xef1c88b1, "ipv6_dev_get_saddr" },
	{ 0xf9e381b2, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x99ef7d60, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2b758d9a, "sk_skb_reason_drop" },
	{ 0xa44fba07, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14da37f0, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xd4b7eb94, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe5111ddc, "skb_push" },
	{ 0x8da0157a, "kmem_cache_free" },
	{ 0xc80b5e02, "set_cpus_allowed_ptr" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x8499668, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xdec621b9, "nf_ct_expect_alloc" },
	{ 0xe8f84a6a, "skb_ensure_writable" },
	{ 0x1304775, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6cdb6d08, "ip_mc_join_group" },
	{ 0x50a05d6b, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xafd95d7c, "ns_capable" },
	{ 0xec4b7874, "nf_unregister_net_hooks" },
	{ 0xb79f7742, "inet_select_addr" },
	{ 0x959bd076, "unregister_pernet_device" },
	{ 0x5178545e, "lock_sock_nested" },
	{ 0xf69fe659, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2d992026, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3809a53b, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xeb7daa6e, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9dac67e, "kernel_connect" },
	{ 0x43a77691, "skb_checksum" },
	{ 0x450e67f6, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x71b54958, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd8d9f757, "__pskb_pull_tail" },
	{ 0xbc05d306, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb2393ea3, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc8874b23, "skb_trim" },
	{ 0xe4504df7, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x223ee265, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x27e77e3b, "nf_ct_deliver_cached_events" },
	{ 0x78b05ac5, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xacdfb639, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9b646447, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x66b83313, "skb_set_owner_w" },
	{ 0xb474b01f, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xea198066, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53e82cc3, "init_user_ns" },
	{ 0xde48e154, "nf_ct_expect_init" },
	{ 0x23c42bf, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdd77ff36, "remove_proc_entry" },
	{ 0xe8a586b7, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6df48bb0, "seq_printf" },
	{ 0x4dfa282f, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3e04ee4a, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcd536e81, "ipv4_update_pmtu" },
	{ 0x45710540, "nf_defrag_ipv6_enable" },
	{ 0xb5c5245f, "dst_release" },
	{ 0x785fa884, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x33e41d8a, "ip_local_out" },
	{ 0xa308803d, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xba655e01, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2b40e7b7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x95f1714a, "genl_register_family" },
	{ 0xaf3b7b08, "kernel_sendmsg" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x2c30ef0d, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb8b4c46f, "register_pernet_device" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x5eaa649c, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1b27d527, "kmem_cache_destroy" },
	{ 0x7ef66000, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x9c5c4e5b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "E89610AD07261AAE9CBAAB7");
MODULE_INFO(rhelversion, "10.1");
